using System.Runtime.InteropServices;
using System.Security;

namespace Decal.Interop.Filters;

[ComImport]
[Guid("8C2FA400-315D-41DE-B063-D6EF04F12E1F")]
[ComSourceInterfaces("Decal.Interop.Filters.IEchoSink\0\0")]
[SuppressUnmanagedCodeSecurity]
[ClassInterface(ClassInterfaceType.None)]
[TypeLibType(2)]
public class EchoFilterClass : IEcho, EchoFilter, IEchoSink_Event
{
	public virtual extern event IEchoSink_EchoMessageEventHandler EchoMessage;
}
